import { Viewer } from '@photo-sphere-viewer/core';
/**
 * @class SphericalPhoto
 */
export class SphericalPhoto {
    basePath = '/webgis/img/spherical';

    /**
     * @param {string} filename Name of the spherical image 
     */
    setViewer(filename) {
        new Viewer({
            container: document.querySelector('#pano-viewer'),
            panorama: `${this.basePath}/${filename}`,
            defaultZoomLvl: 0,
        });
    }
}
